Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstrProgDiag.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstrProgDiag.Designer.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstrProgDiag.Designer.cs	(revision 423)
@@ -0,0 +1,215 @@
+﻿namespace ProcessManagement.Forms.SubForms
+{
+    partial class FrmConstrProgDiag
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.btnSelect = new System.Windows.Forms.Button();
+            this.dgvMaster = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
+            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column2 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
+            this.panel1 = new System.Windows.Forms.Panel();
+            this.label1 = new System.Windows.Forms.Label();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
+            this.panel1.SuspendLayout();
+            this.SuspendLayout();
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(772, 214);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 3;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // btnSelect
+            // 
+            this.btnSelect.BackColor = System.Drawing.Color.Green;
+            this.btnSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnSelect.ForeColor = System.Drawing.Color.White;
+            this.btnSelect.Location = new System.Drawing.Point(644, 214);
+            this.btnSelect.Name = "btnSelect";
+            this.btnSelect.Size = new System.Drawing.Size(120, 30);
+            this.btnSelect.TabIndex = 2;
+            this.btnSelect.Text = "選　択";
+            this.btnSelect.UseVisualStyleBackColor = false;
+            this.btnSelect.Click += new System.EventHandler(this.btnSelect_Click);
+            // 
+            // dgvMaster
+            // 
+            this.dgvMaster.AllowUserToAddRows = false;
+            this.dgvMaster.AllowUserToDeleteRows = false;
+            this.dgvMaster.AllowUserToResizeColumns = false;
+            this.dgvMaster.AllowUserToResizeRows = false;
+            this.dgvMaster.BackgroundColor = System.Drawing.Color.White;
+            this.dgvMaster.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            this.dgvMaster.ColumnHeadersHeight = 24;
+            this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.Column1,
+            this.Column5,
+            this.Column3,
+            this.Column2});
+            this.dgvMaster.EnableHeadersVisualStyles = false;
+            this.dgvMaster.Location = new System.Drawing.Point(12, 60);
+            this.dgvMaster.Name = "dgvMaster";
+            this.dgvMaster.RowHeadersVisible = false;
+            this.dgvMaster.RowHeadersWidth = 20;
+            this.dgvMaster.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
+            this.dgvMaster.RowTemplate.Height = 24;
+            this.dgvMaster.Size = new System.Drawing.Size(880, 146);
+            this.dgvMaster.TabIndex = 0;
+            this.dgvMaster.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellDoubleClick);
+            // 
+            // Column1
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
+            this.Column1.Frozen = true;
+            this.Column1.HeaderText = "№";
+            this.Column1.Name = "Column1";
+            this.Column1.ReadOnly = true;
+            this.Column1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column1.Width = 60;
+            // 
+            // Column5
+            // 
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle3;
+            this.Column5.Frozen = true;
+            this.Column5.HeaderText = "工事番号";
+            this.Column5.Name = "Column5";
+            this.Column5.ReadOnly = true;
+            this.Column5.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column5.Visible = false;
+            this.Column5.Width = 120;
+            // 
+            // Column3
+            // 
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle4;
+            this.Column3.Frozen = true;
+            this.Column3.HeaderText = "増　減　工　事　名　称";
+            this.Column3.Name = "Column3";
+            this.Column3.ReadOnly = true;
+            this.Column3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column3.Width = 760;
+            // 
+            // Column2
+            // 
+            this.Column2.HeaderText = "同";
+            this.Column2.Name = "Column2";
+            this.Column2.Resizable = System.Windows.Forms.DataGridViewTriState.True;
+            this.Column2.Width = 40;
+            // 
+            // panel1
+            // 
+            this.panel1.BackColor = System.Drawing.Color.LemonChiffon;
+            this.panel1.Controls.Add(this.label1);
+            this.panel1.Location = new System.Drawing.Point(12, 6);
+            this.panel1.Name = "panel1";
+            this.panel1.Size = new System.Drawing.Size(880, 50);
+            this.panel1.TabIndex = 5;
+            // 
+            // label1
+            // 
+            this.label1.BackColor = System.Drawing.Color.Black;
+            this.label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.label1.Font = new System.Drawing.Font("ＭＳ 明朝", 18F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label1.ForeColor = System.Drawing.Color.White;
+            this.label1.Location = new System.Drawing.Point(40, 6);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(800, 36);
+            this.label1.TabIndex = 5;
+            this.label1.Text = "関連工事の中で工事進捗状態を同じにする工事を選択してください。";
+            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // FrmConstrProgDiag
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(904, 251);
+            this.Controls.Add(this.panel1);
+            this.Controls.Add(this.dgvMaster);
+            this.Controls.Add(this.btnSelect);
+            this.Controls.Add(this.btnEnd);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
+            this.KeyPreview = true;
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "FrmConstrProgDiag";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.Text = "工事案件進捗同期選択";
+            this.Load += new System.EventHandler(this.FrmCostStructureDiag_Load);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
+            this.panel1.ResumeLayout(false);
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.Button btnSelect;
+        private ProcessManagement.Forms.CustomControls.DataGridViewEX dgvMaster;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn Column2;
+        private System.Windows.Forms.Panel panel1;
+        private System.Windows.Forms.Label label1;
+    }
+}
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstrProgDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstrProgDiag.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstrProgDiag.cs	(revision 423)
@@ -0,0 +1,332 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using System.Collections;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmConstrProgDiag : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum GridColumn
+        {
+            DisplayOrder = 0,
+            ConstructionCode,
+            ConstructionName,
+            Check,
+        }
+
+        /// <summary>
+        /// 担当者検索位置
+        /// </summary>
+        public enum PersonChargePoint
+        {
+            /// <summary>
+            /// 営業担当
+            /// </summary>
+            Sales = 0,
+            /// <summary>
+            /// 工事担当者
+            /// </summary>
+            Construction,
+        }
+        #endregion
+
+        #region 変数
+
+        #region 工事番号
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int m_ConstructionCode = 0;
+        #endregion
+
+        #region 対象リスト
+        /// <summary>
+        /// 対象リスト
+        /// </summary>
+        private List<int> m_TergetList = new List<int>();
+        #endregion
+        
+        #endregion
+        
+        #region プロパティ
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+
+        /// <summary>
+        /// 対象リスト
+        /// </summary>
+        public List<int> TergetList
+        {
+            get { return m_TergetList; }
+            set { m_TergetList = value; }
+        }
+        #endregion
+
+        #region フォーム初期化
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmConstrProgDiag()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // 初期表示
+            InitDataLoad();
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            DialogResult = DialogResult.Cancel;
+            this.Close();
+        }
+        #endregion
+
+        #region 選択ボタン押下
+        /// <summary>
+        /// 選択ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSelect_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                DataGridViewEX dgv = dgvMaster;
+
+                m_TergetList.Clear();
+
+                // 選択
+                foreach (DataGridViewRow CurRow in dgv.Rows)
+                {
+                    // 空欄チェック
+                    if (!BlanckRowCheck(CurRow)) continue;
+
+                    if (!CommonMotions.cnvBool(CurRow.Cells[(int)GridColumn.Check].Value)) continue;
+
+                    m_TergetList.Add(CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.ConstructionCode].Value));
+                }
+
+                DialogResult = DialogResult.OK;
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region セルのダブルクリック時
+        /// <summary>
+        /// セルのダブルクリック時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                DataGridViewEX dgv = dgvMaster;
+                DataGridViewRow CurRow = dgv.CurrentRow;
+
+                // 空白チェック
+                if (!BlanckRowCheck(CurRow)) return;
+                // グリッドクリック以外は処理しない
+                if (e.RowIndex < 0) return;
+
+                CurRow.Cells[(int)GridColumn.Check].Value = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 初期表示処理
+        /// <summary>
+        /// 初期表示処理
+        /// </summary>
+        private void InitDataLoad()
+        {
+            try
+            {
+                // グリッドの行を0に戻す
+                dgvMaster.Rows.Clear();
+
+                // 一覧表示
+                DisplayConstruction();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事一覧表示処理
+        /// <summary>
+        /// 工事一覧表示処理
+        /// </summary>
+        private void DisplayConstruction()
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                dgvMaster.Rows.Clear();
+
+                int ParentCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
+
+                int nAppCode = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
+
+                int[] nStatArrary = new int[] {CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工準備")).Key,
+                                                CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工準備")).Key,
+                                                CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工開始")).Key,
+                                                CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key,
+                                                CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key,
+                                                CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求確認")).Key};
+
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT");
+                strSQL.Append(" A.CONSTRUCTIONCODE");
+                strSQL.Append(", B.DETAILSTRING");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
+                
+                strSQL.Append(" Inner Join constructionbaseinfodetail As B");
+                strSQL.Append("        On B.ConstructionCode = A.ConstructionCode");
+                strSQL.AppendFormat("  And B.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
+
+                strSQL.Append(" Inner Join processapproval As D");
+                strSQL.Append("        On D.ConstructionCode = A.ConstructionCode");
+                strSQL.AppendFormat("  And D.ApprovalCode = {0}", nAppCode);
+                strSQL.Append("        And D.SeqNo = 1");
+                strSQL.AppendFormat("  And D.ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+
+                strSQL.Append(" Where");
+                strSQL.AppendFormat(" A.ConstructionCode = {0}", ParentCode);
+                strSQL.Append("    Or A.ConstructionCode in (Select C.FluctuationCode From constructionlink As C");
+                strSQL.AppendFormat("                        Where C.ConstructionCode = {0})", ParentCode);
+                strSQL.AppendFormat(" And A.ConstructionStatusFlg in ({0},{1},{2},{3},{4},{5})"
+                                , nStatArrary[0], nStatArrary[1], nStatArrary[2]
+                                , nStatArrary[3], nStatArrary[4], nStatArrary[5]);
+                strSQL.Append(" ORDER BY A.CONSTRUCTIONCODE");
+
+                ArrayList BaseList = new ArrayList();
+                if (!BaseDB.ExecuteReader(strSQL.ToString(), ref BaseList)) return;
+                if (BaseList.Count < 1)
+                {
+                    MessageBox.Show("対象データがありません。", "選択データ無", MessageBoxButtons.OK, MessageBoxIcon.Stop);
+                    DialogResult = DialogResult.No;
+                    this.Close();
+                    return;
+                }
+                else if (BaseList.Count == 1)
+                {
+                    // 1件しかない場合は一覧を表示しない
+                    object[] Once = (object[])BaseList[0];
+                    // 工事番号取得
+                    m_ConstructionCode = CommonMotions.cnvInt(Once[0]);
+                    DialogResult = DialogResult.OK;
+                    this.Close();
+                    return;
+                }
+
+                // 要素表示
+                int i = 0;
+                foreach (object[] wrk in BaseList)
+                {
+                    // 自分は表示しない
+                    if (m_ConstructionCode == CommonMotions.cnvInt(wrk[0])) continue;
+                    // データ表示
+                    dgvMaster.Rows.Add((i + 1),
+                                        CommonMotions.cnvInt(wrk[0]),
+                                        CommonMotions.cnvString(wrk[1]),
+                                        false);
+
+                    dgvMaster.Rows[i++].Cells[(int)GridColumn.ConstructionName].ToolTipText = CommonMotions.cnvString(wrk[1]);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+
+        #region グリッド空行チェック
+        /// <summary>
+        /// グリッド空行チェック
+        /// </summary>
+        /// <param name="row"></param>
+        /// <returns></returns>
+        private bool BlanckRowCheck(DataGridViewRow row)
+        {
+            try
+            {
+                // 空欄チェック
+                if (CommonMotions.chkObjectIsNull(row.Cells[(int)GridColumn.ConstructionCode].Value)) return false;
+                if (CommonMotions.cnvString(row.Cells[(int)GridColumn.ConstructionName].Value).Length == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 422)
+++ trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 423)
@@ -159,6 +159,8 @@
     <Compile Include="DataModel\RemInvoiceData.cs" />
     <Compile Include="DataModel\RecordKey.cs" />
     <Compile Include="DataModel\PersonExpensesCost.cs" />
+    <Compile Include="DataModel\RemoveRequest.cs" />
+    <Compile Include="DataModel\RemoveRequestDetail.cs" />
     <Compile Include="DataModel\SalaryClass.cs" />
     <Compile Include="DataModel\GridCellStyleMember.cs" />
     <Compile Include="DataModel\ChgConstrCharge.cs" />
@@ -265,6 +267,8 @@
     <Compile Include="DB\IOAccess\IOMCommonCostMiddleSearchWord.cs" />
     <Compile Include="DB\IOAccess\IOPeriodAvoidance.cs" />
     <Compile Include="DB\IOAccess\IOPersonApprovalDetail.cs" />
+    <Compile Include="DB\IOAccess\IORemoveRequest.cs" />
+    <Compile Include="DB\IOAccess\IORemoveRequestDetail.cs" />
     <Compile Include="DB\IOAccess\IOSFPDataDetail.cs" />
     <Compile Include="DB\IOAccess\IOSFPData.cs" />
     <Compile Include="DB\IOAccess\IOMPersonDepartment.cs" />
@@ -698,6 +702,18 @@
     <Compile Include="Forms\DataEntry\Request\RequestEntry\FrmEntryReqSelRequest.Designer.cs">
       <DependentUpon>FrmEntryReqSelRequest.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestInput\FrmCancelDisplay.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestInput\FrmCancelDisplay.Designer.cs">
+      <DependentUpon>FrmCancelDisplay.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestInput\FrmCancelRequest.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestInput\FrmCancelRequest.Designer.cs">
+      <DependentUpon>FrmCancelRequest.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\DataEntry\Request\RequestPrintList\FrmReqPrintList.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -974,6 +990,12 @@
     <Compile Include="Forms\SubForms\FrmPeriodAvoidance.designer.cs">
       <DependentUpon>FrmPeriodAvoidance.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\SubForms\FrmConstrProgDiag.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmConstrProgDiag.Designer.cs">
+      <DependentUpon>FrmConstrProgDiag.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\SubForms\FrmVehicleSelector.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -1600,6 +1622,12 @@
     <EmbeddedResource Include="Forms\DataEntry\Request\RequestEntry\FrmEntryReqSelRequest.resx">
       <DependentUpon>FrmEntryReqSelRequest.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\RequestInput\FrmCancelDisplay.resx">
+      <DependentUpon>FrmCancelDisplay.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\RequestInput\FrmCancelRequest.resx">
+      <DependentUpon>FrmCancelRequest.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\Request\RequestPrintList\FrmReqPrintList.resx">
       <DependentUpon>FrmReqPrintList.cs</DependentUpon>
     </EmbeddedResource>
@@ -1705,6 +1733,9 @@
     <EmbeddedResource Include="Forms\SubForms\FrmPeriodAvoidance.resx">
       <DependentUpon>FrmPeriodAvoidance.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\FrmConstrProgDiag.resx">
+      <DependentUpon>FrmConstrProgDiag.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\SubForms\FrmVehicleSelector.resx">
       <DependentUpon>FrmVehicleSelector.cs</DependentUpon>
     </EmbeddedResource>
